
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define fst 0

%{?_with_fst: %global fst 1}
%{?_without_fst: %global fst 0}

%define nameorig 				galan
%if %fst
%define name 	galan-vst
%else
%define name 	galan
%endif
%define	beta	beta7
%define	version	0.3.0
%define	release	%mkrel 0.%beta.4

%define	major	0
%define	libname	%mklibname %name %major

Summary: 	Graphical audio processing toolkit
Name: 		%name
Version: 	%version
Release:	%release
Source0:	%nameorig-%{version}_%{beta}.tar.bz2
Source1: 	%{nameorig}.sh.bz2
Patch0:		%{nameorig}-0.3.0_beta6-fst.patch.bz2
Patch1: 	%{nameorig}-0.3.0_beta6-aeffectx.h.patch.bz2
URL: 		http://galan.sourceforge.net/
License: 	GPL
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libalsa-devel libaudiofile-devel pkgconfig libesound-devel libvorbis-devel
BuildRequires:  gtk2-devel gtkglarea-devel libgdk-pixbuf2-devel
BuildRequires:  liblrdf-devel, jackit-devel, libsndfile-devel
BuildRequires:	mesaglu-devel fftw2-devel 
%if %fst
BuildRequires:	libfst0-devel >= 1.6
Provides:	galan = %version-%release
Obsoletes: 	galan < %version-%release
Requires:	%libname = %version-%release
Requires:	libfst0 >= 1.6
%endif
Provides: 	%libname = %version-%release
Obsoletes: 	%libname < %version-%release

%description
Using gAlan is much like setting up an effects-chain for, say, a guitar.
You choose the effects units you wish to use, lay them out, and then
connect them to each other, starting with the guitar, threading through
the effects, and ending up at the amplifier (and ultimately the speakers).

It's not just limited to acting as an effects-chain, though. You can also
configure it (using the same basic principles) to act as a mixer, a
sample-sequencer or drum machine, or a synthesiser capable of emulating
various analogue systems. The examples page and the tutorial provide some
descriptions of some of the ways gAlan can be used. The User Guide has a
section on common motifs in mesh design which may also give an impression
of how gAlan works.

%prep
%setup -q -n %nameorig-%{version}_%{beta}
%if %fst
%patch0 -p1
cd include
cp %_includedir/vst/aeffectx.h ./
%patch1 -p0
cd ..
%endif

%build
%if %fst
perl -pi -e 's/libfst >= 1.3/libfst >= 103/' ./configure
%endif
%configure2_5x --enable-static=no
#fix fftw
#for a in plugins/*.c ; do perl -pi -e 's/drfftw/rfftw/' $a ; done
#for a in plugins/*.h ; do perl -pi -e 's/drfftw/rfftw/' $a ; done
#for a in plugins/Make* ; do perl -pi -e 's/drfftw/rfftw/' $a ; done
#for a in plugins/*.c ; do perl -pi -e 's/dfftw/fftw/' $a ; done
#for a in plugins/*.h ; do perl -pi -e 's/dfftw/fftw/' $a ; done
#for a in plugins/Make* ; do perl -pi -e 's/dfftw/fftw/' $a ; done
%make

%install
%makeinstall

# move executable to proper place
#mv $RPM_BUILD_ROOT%{_bindir}/galan $RPM_BUILD_ROOT%{_bindir}/galanx

# move in the wrapper
#bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/galan
#chmod 755 $RPM_BUILD_ROOT%{_bindir}/galan

#cleanup
for i in doc/CVS doc/examples/CVS doc/examples/samples/CVS doc/exdoc/html/CVS doc/html/CVS
do
rm -fr $i
done

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Galan
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;AudioVideoEditing
Encoding=UTF-8
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS NOTES README TODO doc/examples doc/html
%_bindir/*
%_libdir/%name
%_datadir/%nameorig/pixmaps
%_datadir/%nameorig/sheets/*
#%_menudir/*
%_datadir/applications/%{name}.desktop

%changelog
* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta7-4
- Rebuild for pclos2007

* Mon Apr 11 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta7-3.pclo2005.thac
- Rebuilt for PCLinuxOs 2005

* Thu Oct 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta7-2.mdk10.1.thac
- 2.mdk10.1.thac
- Where "2" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro,

* Mon Oct 04 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta7-1thac
- Updated to latest devel version

* Wed Sep 29 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta6-3thac
- Rebuilt against the latest libfst
- Changed GALAN_VST_DIR to home-dir/vstplugins

* Mon Jun 21 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta6-2thac
- Added galan wrapper that sets needed variables.
- Built against libfst

* Tue Jun 08 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta6-1thac
- Updated to latest devel version

* Sat Mar 20 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta5-2thac
- Recompiled for Mandrake 10.0

* Fri Mar 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta5-1thac
- Updated to latest devel release

* Thu Feb 19 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta4-1thac
- Updated to latest devel release

* Thu Jan 01 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_beta1-1thac
- Updated to latest version

* Thu Oct 30 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_alpha1-2thac
- Rebuilt for Mandrake 9.2

* Wed Aug 27 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_alpha1-1thac
- Changed naming to differ from Mandrake cooker

* Fri Jul 10 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0_alpha1-1mdk
- 0.3.0_alpha1

* Sat May 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0-test3.1mdk
- 0.3.0-test3

* Sat Mar 22 2003 Austin Acton <aacton@yorku.ca> 0.2.14-1mdk
- 0.2.14
- use mklibname

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.2.13d-1mdk
- 0.2.13d

* Sun Jan 12 2003 Austin Acton <aacton@yorku.ca> 0.2.12-1mdk
- initial build
